package iut.android.pierrepierre

public class Mole (var dead : Boolean){

    var nbPoint = 0 //recompter tout les points avec cette attribut ?
    var pdp = R.drawable.limule



    fun isDead() : Boolean{
        return dead
    }

    fun takeHit(){
        this.dead = true
        nbPoint += 100
        changeState()

    }

    fun changeState(){
        if(pdp == R.drawable.limule) pdp = R.drawable.limule_dead
        else pdp = R.drawable.limule_dead;
    }
}